Bug 1619732 - audits - type: user not recognized for searching
Summary: audits - type: user not recognized for searching
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Audit Log
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.4.0
Assignee: Marek Hulan
QA Contact: Roman Plevka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-21 15:25 UTC by Roman Plevka
Modified: 2019-11-05 23:33 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-katello-3.7.0.27-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:01:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 24757 'Normal' 'Closed' 'audits - type: user not recognized for searching' 2019-12-02 13:12:14 UTC

Description Roman Plevka 2018-08-21 15:25:50 UTC
Description of problem:
this used to work in 6.3:

one is unable to search the audits by a type: user.

Received HTTP 400 response: {
  "error": {"message":"'auditable_type' should be one of 'role, ptable, provisioning_template, filter, hostgroup, katello/repository, smart_proxy, katello/host/content_facet, katello/host/subscription_facet, remote_execution_feature, lookup_value, model, domain, realm, environment, architecture, image, usergroup, job_template, bookmark, hostgroup_class, puppetclass, medium, job_invocation, ansible_role, discovery_rule, katello/activation_key, katello/content_view, katello/kt_environment, katello/host_collection, katello/sync_plan, katello/capsule_lifecycle_environment, katello/content_view_component, katello/content_view_environment, katello/content_view_puppet_module, katello/content_view_version, katello/gpg_key, katello/product, foreman_virt_who_configure/config, foreman_openscap/policy, foreman_openscap/scap_content, foreman_openscap/tailoring_file, compute_profile, config_group, config_group_class, ssh_key, compute_attribute, host_class, host_config_group, http_proxy, key_pair, personal_access_token, auth_source, compute_resource, host, interface, location, organization, os, override_value, parameter, partition_table, setting, smart_class_parameter, smart_variable, subnet', but the query was 'user'","class":"ScopedSearch::QueryNotSupported"}

Version-Release number of selected component (if applicable):
6.4.0-19

Comment 3 Tomer Brisker 2018-08-30 12:24:25 UTC
Created redmine issue https://projects.theforeman.org/issues/24757 from this bug

Comment 4 Marek Hulan 2018-09-07 08:20:35 UTC
PR available for testing

Comment 5 pm-sat@redhat.com 2018-09-11 12:01:38 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24757 has been resolved.

Comment 7 Roman Plevka 2018-09-19 09:06:23 UTC
VERIFIED
on sat6.4.0-22

- type: user now properly filters the results

Comment 8 Bryan Kearney 2018-10-16 19:01:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.